# Administration Reference

## package help

Purpose

Displays the syntax of specified package commands or lists functional descriptions of all package commands

Synopsis

    package help [-topic <help string>+]  [-help]

    package h [-t <help string>+]  [-h]

Description

The package help command displays the complete online help entry (short description and syntax statement) for each command operation code specified by the -topic argument. If the -topic argument is omitted, the output includes the first line (name and short description) of the online help entry for every package command.

To list every package command whose name or short description includes a specified keyword, use the package apropos command.

Options

-topic
  Indicates each command for which to display the complete online help entry. Omit the package part of the command name, providing only the operation code (for example, specify initcmd, not package initcmd). If this argument is omitted, the output briefly describes every package command.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The online help entry for each package command consists of the following two or three lines:

- The first line names the command and briefly describes its function.

- The second line lists aliases for the command, if any.

- The final line, which begins with the string `Usage`, lists the command's options in the prescribed order. Online help entries use the same symbols (for example, brackets) as the reference pages in this document.

Examples

The following command displays the online help entry for the package initcmd command:

       % package help initcmd
       package initcmd: initialize the program
       Usage: package [initcmd] [-config <base name of configuration file>]
       [-fullconfig <full name of configuration file, or stdin for standard input>]
       [-overwrite] [-noaction] [-verbose] [-silent] [-rebootfiles]
       [-debug] [-help]

Privilege Required

None

Related Information

package

package apropos

© IBM Corporation 2000. All Rights Reserved